base/urls.py
from django.urls import path
from . import views

app_name = 'base'

urlpatterns = [
    path('', views.index, name='base'),
    # path('/masker', views.masker, name='masker'),
    # path('/sanitizer', views.sanitizer, name='sanitizer'),
    # path('/faceshield', views.faceshield, name='faceshield'),
    path('/add', views.tambahin, name='add'),
    path('/reduce', views.kurangin, name='reduce'),
    path('login/', views.login_tk2, name='login'),
    path('logout/', views.logout_tk2, name='logout'),
    path('signup/', views.signup, name='signup'),

]

feedback/urls.py
from django.urls import path
from . import views

app_name = 'feedback'
urlpatterns = [
    path('', views.index, name='index'),
    path('saveFeedback/', views.saveFeedback, name='saveFeedback'),
    path('allFeedback/', views.allFeedback, name='allFeedback'),

]

pandenemy2/urls.py
from django.conf import settings
from django.conf.urls.static import static
from django.contrib import admin
from django.urls import path, include

urlpatterns = [
    path('admin/', admin.site.urls),
    path('', include('base.urls')),
    path('', include('postingan.urls')),
    path('semangatpage/', include('semangatpage.urls')),
    path('feedback/', include('feedback.urls')),
    path('profile/', include('profilepage.urls')),
] + static(settings.MEDIA_URL, document_root=settings.MEDIA_ROOT)

feedback/models.py
from django.conf import settings
from django.db import models

# Create your models here.
class Feedback(models.Model):
    user = models.ForeignKey(settings.AUTH_USER_MODEL, on_delete=models.CASCADE)
    content = models.TextField()

    def __str__(self):
        return self.content

feedback/forms.py
from django import forms
from .models import Feedback

class Input_Form(forms.ModelForm):
    class Meta:
        model = Feedback
        exclude = ('user',)
    content_attrs = {
        'type' : 'text',
        'placeholder' : '',
        'style': 'height: 2em;',
    }

    content = forms.CharField(label='', required=True, widget=forms.Textarea(attrs=content_attrs))

feedback/views.py
from django.shortcuts import render
from .forms import Input_Form
from .models import Feedback
from django.contrib.auth.models import User
from django.urls import reverse
from django.core import serializers
from django.http import HttpResponse
from django.views.decorators.csrf import csrf_exempt,csrf_protect
from django.http import JsonResponse

# Create your views here.
def index(request):
    response = {'input_form' : Input_Form}
    return render(request, 'feedback/feedback.html', response)

def saveFeedback(request):
    form = Input_Form(request.POST or None)
    if (form.is_valid() and request.method == 'POST'):
        feed = form.save(commit=False)
        feed.user = request.user
        feed.save()
        qs = Feedback.objects.all()
        feed_json = []
        for f in qs:
            tmp = {
                    "pk": f.pk,
                    "user": f.user.username,
                    "content": f.content
                }
            feed_json.append(tmp)

        return JsonResponse({'items':feed_json}, safe=False)
    else:
        form = Input_Form()
        return render(request,'feedback/feedback.html')

def allFeedback(request):
    qs = Feedback.objects.all()
    feed_json = []
    for f in qs:
        tmp = {
                "pk": f.pk,
                "user": f.user.username,
                "content": f.content
            }
        feed_json.append(tmp)

    return JsonResponse({'items':feed_json}, safe=False)

feedback/templates/feedback/feedback.html
{% extends 'base/base.html' %}

{% block content %}

<div class="container">
    <div style="padding: 5%;">
        <div class="row d-flex justify-content-center text-center">
            <h1>Feedback</h1>
        </div>

        {% if user.is_authenticated %}
        <div class="row d-flex justify-content-center text-center">
            <p>Apa pendapat mu tentang website yang telah kami buat ini? Sampaikan kritik saran mu yang membangun terkait dengan kekurangan yang masih dimiliki. Terimakasih, Stay Safe!</p>
            <form action="{% url 'feedback:saveFeedback' %}" method="POST" id='formfeed'>
                {% csrf_token %}
                {{ input_form.as_p}}
                <input id="postButton" class="submit btn btn-primary active mx-auto" style="background-color: #72C3B3; padding: 9px 25px; font-size: 22px; font-weight: 700; border-radius: 8px;" type="submit" value="Submit">
            </form>
        </div>
        {% else %}
        <div class="row d-flex justify-content-center text-center">
            <p>Log in untuk memberikan feedback</p>
        </div>
        {% endif %}
    </div>
    <div id="feed-output"> </div>
    <p class="totop" style="position: fixed;bottom: 10px;right: 20px;"> 
    <a href="#top" style='display: none;color: #72C3B3;' >Back to top</a> 
    </p>
</div>
{% endblock content %}
{% block script %}
<script type="text/javascript">
    $(document).ready(function(){
        alert('Selamat datang di halaman feedback!');
        $.ajax({
            url: '/feedback/allFeedback/',
            success: function(output) {
                var obj_output = $("#feed-output");
                obj_output.empty();
                for (i=output.items.length-1; i >=0; i--) {
                    var temp_desc = output.items[i].content;
                    var temp_user = output.items[i].user;
                    var isi = '<div style="border-bottom: 2px solid gray;"><p style="font-weight:bold;" id="pfeed">'+temp_user+'</p>'+ '<p>'+temp_desc+'</p></div>';
                    obj_output.append(isi);
                }
            }
        });
    });


    $('#formfeed').submit(function(e) {
    e.preventDefault();
    saveFeedback();
    });

    $(window).scroll(function () {
        if ($(this).scrollTop() > 50) {
            $('.totop a').show();
        } else {
            $('.totop a').hide();
        }
    });
    
    $('a[href=\\#top]').click(function () {
        $('body, html').animate({
            scrollTop: 0
        }, 600);
        return false;
    });

    function saveFeedback() {
        $.ajax({
            type:"POST",
            url: '/feedback/saveFeedback/',
            data: $('#formfeed').serialize(),
            success: function(output) {
                var obj_output = $("#feed-output");
                obj_output.empty();
                for (i=output.items.length-1; i >=0; i--) {
                    var temp_desc = output.items[i].content;
                    var temp_user = output.items[i].user;
                    var isi = '<div style="border-bottom: 2px solid gray;"><p style="font-weight:bold;" id="pfeed">'+temp_user+'</p>'+ '<p>'+temp_desc+'</p></div>';
                    obj_output.append(isi);
                }
            }
        });
    };

</script>
<script type="text/javascript" src="http://ajax.aspnetcdn.com/ajax/jquery.validate/1.7/jquery.validate.min.js"></script>
{% endblock script %}